/*----------------------------------------------------------------------
Copyright (c) 1998 Gipsysoft. All Rights Reserved.
File:	QHTM.H
Owner:	russf@gipsysoft.com
Purpose:	Quick HTM display control interface header
----------------------------------------------------------------------*/
#ifndef QHTM_H
#define QHTM_H

#ifdef __cplusplus
extern "C" {
#endif	//	__cplusplus


	#define QHTM_CLASSNAME	"QHTM_Window_Class_001"

	//	Register this message to recieve the link text, link text is in LPARAM.
	//	Do nothing and the link will be resolved using ShellExecute(...)
	#define QHTM_HYPERLINK_MESSAGE	"QHTM_HYPERLINK_MESSAGE"

	//
	//	Load a HTML page from the resources
	//	::SendMessage( hwnd, QHTM_LOAD_FROM_RESOURCE, (WPARAM)hInst, (LPARAM)name );
	#define QHTM_LOAD_FROM_RESOURCE		( WM_USER + 1 )

	//
	//	Load the HTMNL from a file on disk.
	//	::SendMessage( hwnd, QHTM_LOAD_FROM_FILE, 0, (LPARAM)pcszName );
	#define QHTM_LOAD_FROM_FILE				( WM_USER + 2 )

	//
	//	Message cracker style macros
	#define QHTM_LoadFromResourceName( hwnd, hinst, name )	((BOOL) ::SendMessage( (hwnd), QHTM_LOAD_FROM_RESOURCE, (WPARAM)(hinst), (LPARAM)(name) ) )
	#define QHTM_LoadFromResourceFile( hwnd, filename )	((BOOL) ::SendMessage( (hwnd), QHTM_LOAD_FROM_FILE, 0, (LPARAM)(filename) ) )

	//
	//	Call this to initialise the Quick HTML control.
	BOOL WINAPI QHTM_Initialise( HINSTANCE hInst );

#ifdef __cplusplus
}
#endif	//	__cplusplus

#ifdef __AFXWIN_H__

	class CQHtmWnd : public CWnd
	//
	//	Simple wrapper class
	{
	public:
		//	Load the HTML from a file
		inline BOOL LoadFromFile( LPCTSTR pcszFilename )
		{
			return (BOOL)SendMessage( QHTM_LOAD_FROM_FILE, 0, (LPARAM)pcszFilename );
		}

		//	Load the HTML from a resource
		inline BOOL LoadFromResource( UINT uID )
		{
			return LoadFromResource( MAKEINTRESOURCE( uID ) );
		}

		//	Load the HTML from a resource
		inline BOOL LoadFromResource( LPCTSTR pcszName )
		{
			return (BOOL)SendMessage( QHTM_LOAD_FROM_RESOURCE, (WPARAM)AfxGetResourceHandle(), (LPARAM)pcszName );
		}
	};

#endif	//	__AFXWIN_H__

#endif //QHTM_H